#
# spec file for package gal2 (Version 2.5.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gal2
BuildRequires:  gnutls-devel intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser update-desktop-files
%define _name gal
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Version:        2.5.3
Release:        21.2
Summary:        The G App Library
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.gnome.org
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gal/2.2/gal-%{version}.tar.bz2

%description
Reuseable GNOME library functions.



Authors:
--------
    Chris Lahey
    Jody Goldberg
    Jon K Hellan
    JP Rosevar
    Miguel de Icaza
    Morten Welinder

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/C and C++
Requires:       gal2 = %{version} libgnomecanvas-devel gtk2-devel glib2-devel libxml2-devel libglade2-devel libgnomeui-devel libgnomecanvas-devel libgnomeprint-devel libgnomeprintui-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Chris Lahey
    Jody Goldberg
    Jon K Hellan
    JP Rosevar
    Miguel de Icaza
    Morten Welinder

%prep
%setup -q -n %{_name}-%{version}

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib
make

%install
make -s install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog MAINTAINERS NEWS README
%{prefix}/share/gal-2.6
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/%{_lib}/lib*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/include/gal-2.6/
%{prefix}/%{_lib}/lib*.*a
%{prefix}/%{_lib}/lib*.so
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/gtk-doc/html/gal/

%changelog -n gal2
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - sbrabec@suse.cz
- Fixed too strict devel version check.
* Thu Aug 11 2005 - sbrabec@suse.cz
- Fixed devel dependencies (#103987).
* Wed Jun 29 2005 - gekker@suse.de
- Update to version 2.5.3
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed Mar 16 2005 - gekker@suse.de
- Update to version 2.4.1
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 2.4.0 (GNOME 2.10).
* Wed Mar 02 2005 - gekker@suse.de
- Update to version 2.3.5
* Wed Feb 09 2005 - gekker@suse.de
- Update to version 2.3.4
* Tue Feb 08 2005 - gekker@suse.de
- Update to version 2.3.3
* Fri Jan 14 2005 - clahey@suse.de
- Update to version 2.3.2.
* Thu Jan 06 2005 - gekker@suse.de
- Update to version 2.3.1
* Tue Dec 07 2004 - gekker@suse.de
- Update to version 2.2.4 (Ximian 70057)
* Mon Nov 29 2004 - gekker@suse.de
- Update to version 2.2.3
* Sat Oct 30 2004 - ro@suse.de
- locale rename: no -> nb
* Thu Sep 23 2004 - dobey@suse.de
- Updated to version 2.2.2
* Mon Sep 13 2004 - dobey@suse.de
- Updated to version 2.2.1
* Fri Aug 27 2004 - dobey@suse.de
- Updated to version 2.2.0
* Fri Aug 13 2004 - dobey@suse.de
- Updated to version 2.1.14
- Added dependencies to gal2-devel
* Tue Aug 03 2004 - dobey@suse.de
- Updated to version 2.1.13
* Wed Jul 28 2004 - dobey@suse.de
- Updated to version 2.1.12
* Tue Jul 13 2004 - clahey@suse.de
- Updated to version 2.1.11.
* Fri Jun 04 2004 - mibarra@suse.de
- Updated to version 2.1.10
* Mon May 24 2004 - ro@suse.de
- added forward declaration to make compiler happy
* Sat May 22 2004 - mibarra@suse.de
- Updated to version 2.1.9.
* Tue May 18 2004 - clahey@suse.de
- Updated to 2.1.8.  Removed some 64 bit warnings.
* Tue Apr 27 2004 - ro@suse.de
- add -fno-strict-aliasing
* Mon Mar 08 2004 - hhetter@suse.de
- updated to version 1.99.11
- removed build patch, gone upstream
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri Aug 08 2003 - sbrabec@suse.cz
- Updated to version 1.99.9.
* Fri Jul 18 2003 - sbrabec@suse.cz
- Updated to version 1.99.8.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 - ro@suse.de
- fix build with current automake
- fix prefix clash (gtk-modules)
* Tue Jun 10 2003 - sbrabec@suse.cz
- Updated to version 1.99.7.
* Mon Jun 02 2003 - sbrabec@suse.cz
- Updated to version 1.99.6.
* Tue May 27 2003 - ro@suse.de
- run full autoreconf
* Thu May 22 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
